#########################
#####   ChestSort   #####
#########################
#
#   www.jeff-media.de
#

#
# This config file will be updated automatically with every new release of ChestSort.
# Don't worry! Your changes will be kept after every update.
#

###############################
#######    Commands     #######
###############################

# /sort (or /chestsort)   Shows the player settings GUI
# /sort on                Enable automatic sorting for containers
# /sort off               Disable automatic sorting for containers
# /sort hotkeys           Open a GUI to change the sorting hotkeys
# /sort help              Display help about the /sort (or /chestsort) command
# /sort reload            Reloads the config file
# /sort resetplayersettings   Resets every player's sorting settings. You should consider
#                             running this after changing the default hotkey settings.

# /isort (or /invsort)    Sort the player's inventory
# /isort hotbar           Sort the player's hotbar
# /isort all              Sort the player's inventory and hotbar
# /isort toggle           Toggle automatic sorting for the player's inventory
# /isort on               Enable automatic sorting for the player's inventory
# /isort off              Disable automatic sorting for the player's inventory
# /isort help             Display help about the /isort (or /invsort) command


###############################
#######   Permissions   #######
###############################

# chestsort.use              Allows to sort containers using automatic sorting (/sort) or via hotkeys.
# chestsort.use.inventory    Allows to sort the player's inventory using automatic sorting (/isort) or via hotkeys
# chestsort.reload           Allows to reload the config using /sort reload
# chestsort.automatic        Allows to use automatic inventory sorting. Given to all players by default. Players
#                            still need to have the chestsort.use or chestsort.use.inventory permission.
# chestsort.hotkey.<hotkey>  Allows to use a specific hotkey. Given to all players by default. Players still need
#                            to have the chestsort.use or chestsort.use.inventory permission.
#                            Available hotkeys are: shiftclick, middleclick, doubleclick, shiftrightclick,
#                                                   leftclick, rightlick, outside


###############################
#######  Placeholders   #######
###############################

# When using PlaceholderAPI, you can use the following placeholders:

# %chestsort_sortingenabled%    - true if this player has automatic sorting enabled for containers
# %chestsort_invsortingenabled% - true if this player has automatic sorting enabled for the player's inventory


############################
##### Default settings #####
############################

# If you don't want to use a permission plugin, you can set
# this to false to allow every player to use ChestSort.
# If you use a permissions plugin, set this to true.
# There are two permissions used by ChestSort:
# - chestsort.use (allow chest sorting by hotkeys and via /chestsort)
# - chestsort.use.inventory (allow inventory sorting by hotkeys and via /invsort)
use-permissions: true

# when set to false, no player is allowed to enable automatic chest sorting
# hotkeys will still work if enabled
allow-automatic-sorting: true

# when set to false, no player is allowed to enable automatic inventory sorting
# hotkeys will still work if enabled
allow-automatic-inventory-sorting: true

# when set to false, new players will have to run /chestsort
# once to enable automatic chest sorting.
sorting-enabled-by-default: false

# when set to false, new players will have to run /invsort on
# once to enable automatic inventory sorting.
inv-sorting-enabled-by-default: false

# You can prevent players from using the /chestsort and /invsort commands by setting
# this to false.
allow-commands: true

# You can prevent players from using the GUI. When set to "false", /sort behaves like /sort toggle
allow-gui: true

# when set to true, players with sorting DISABLED will be
# shown a message on how to enable automatic chest sorting
# when they use a chest for the first time.
# consider setting this to true when you disable sorting by default.
# see also -> message-when-using-chest
show-message-when-using-chest: true

# when set to true, players with sorting ENABLED will be
# shown a message on how to disable automatic chest sorting
# when they use a chest for the first time.
# consider setting this to true when you enable sorting by default.
# see also -> message-when-using-chest2
show-message-when-using-chest-and-sorting-is-enabled: false

# when set to true, the messages are shown again when a player
# logs out and back in and then uses a chest again.
show-message-again-after-logout: true

# to sort by category, we need category files. ChestSort comes
# with a number of pregenerated category files, named
# 900-valuables.txt, 910-tools.txt, 920-combat.txt, ...
# If you wish to edit those, you can disable the generation of these
# files, because otherwise all your changes in the pregenerated
# files will be overwritten on each server startup.
# However, a much smarter option is to copy the default files
# and rename them to from 900... to 800... and edit those instead.
auto-generate-category-files: true

# you can choose when ChestSort should sort chests.
# The default option is to sort when an inventory is closed.
# This is useful, because the onInventoryClose event never gets fired
# when access to the chest is forbidden by another plugin, e.g. WorldGuard
# You can also sort whenenver a chest is opened. ChestSort will then check
# if the onInventoryOpenEvent gets cancelled. If it does get cancelled,
# ChestSort will not sort the chest. However, if a plugin uses the
# MONITOR event priority, ChestSort cannot detect this.
# If you have problems with unaccessible chests being sorted, set this
# option to "close". If you want, you can sort twice, however this is not
# very useful.
# If you don't know what to put here, just use the default "close"
# Available options: open, close, both
sort-time: close

# when set to true, show some verbose information on startup
verbose: true

###########################
##### Default Hotkeys #####
###########################

# Instead of automatic sorting, you can also use hotkeys (see below)
# when using an inventory to have it sorted immediately.
# You can disable this by setting this to false.
allow-sorting-hotkeys: true

# You can define which sorting hotkeys are enabled by default.
# Players can also enable/disable these shortcuts individually via /chestsort hotkeys
# Hotkeys that could interfere with Minecraft's normal behaviour (e.g.
# shift+left-click) only work on empty slots, so don't worry about them.
#
# IMPORTANT! I get this question asked every day on my Discord, so please read:
# SETTING A HOTKEY TO FALSE WILL NOT(!) DISABLE IT!
# This are only the default values used for NEW players.
# Every player can disable/enable the hotkeys individually using
# /chestsort hotkeys
#
sorting-hotkeys:
  # Use middle click (mousewheel) on ANY inventory slot as hotkey. Permission: chestsort.hotkey.middleclick
  middle-click: true 
  # Use shift + left-click on any EMPTY inventory slot as hotkey. Permission: chestsort.hotkey.shiftclick
  shift-click: true
  # Use double left-click on any EMPTY inventory slot as hotkey. Permission: chestsort.hotkey.doubleclick
  double-click: true 
  # Use shift + right-click on any EMPTY inventory slot as hotkey. Permission: chestsort.hotkey.shiftrightclick
  shift-right-click: true

# Amount in seconds that players have to wait between using hotkeys to prevent them from spamming the
# sorting mechanism
hotkey-cooldown: 0.2

# When enabled, players can leftclick on chests, barrels etc.
# to sort them without having to open them.
# Permission: chestsort.hotkey.outside
allow-left-click-to-sort: true

# When set to true, sorting a chest by left-clicking it is enabled by default
left-click-to-sort-enabled-by-default: false

# Additionally to sorting hotkeys, you can quickly unload your inventory into a chest and vice versa
# using left-click or right-click outside of a chest's inventory.
# A single click will only affect matching items (items that are already present in the other inventory)
# and a double click will try to store/take all items.
allow-additional-hotkeys: true

# You can define which additional hotkeys are enabled by default.
# Players can also enable/disable these shortcuts individually via /chestsort hotkeys
additional-hotkeys:
  # Use left-click outside inventory to quickly put matching items from your inventory (except hotbar)
  # into the chest. Use left-double-click to put everything except your hotbar into the chest.
  # Permission: chestsort.hotkey.leftclick
  left-click: false
  # Use right-click outside inventory to quickly take all matching items from the chest into your
  # inventory. Use right-double-click to take all items out of the chest.
  # Permission: chestsort.hotkey.leftclick
  right-click: false

##########################
##### Update Checker #####
##########################

# Checks for updates (asynchronously).
# When enabled, a message is printed in the console if a new
# version has been found, and OPs will be notified when they join the server 
# When set to true, check for updates on startup and every X hours (see "check-interval" below)
# When set to on-startup, only check on server startup
# When set to false, don't check for updates
check-for-updates: true

# When you set "check-for-updates" to true, you can define the amount
# of hours inbetween each update check.
check-interval: 4

#########################
#### Disabled Worlds ####
#########################

# You can disable automatic chest sorting for certain worlds. Each world's name has to
# be on a separate line, starting with a hyphen and followed by a space.
# You can also use the YAML array notation: [world1, world2, world3]

# Example:
#
# disabled-worlds:
# - world_nether
# - world_the_end

disabled-worlds:

##########################
#####  Plugin hooks  #####
##########################

# ChestSort can hook into other plugins to allow better sorting
# for items belonging to 3rd party plugins.
# You do NOT have to disable the hooks for plugins you don't have
# installed. ChestSort will automatically check if the plugins
# are installed.

##### CrackShot ##### -> https://www.spigotmc.org/resources/crackshot-guns.48301/
# When CrackShot is installed, all CrackShot weapons will be
# grouped together and sorted by their name
hook-crackshot: true

# You can define a custom name that will be used as prefix
# for all CrackShot weapon names.
# E.g. when you set this to "crackshot_weapon", an AK-47
# will be called "crackshot_weapon_AK-47"
hook-crackshot-prefix: "crackshot_weapon"

##### InventoryPages ##### -> https://www.spigotmc.org/resources/inventorypages.32432/
# When InventoryPages is installed, ChestSort will not sort
# the "Next Page" and "Prev Page" buttons. You should not
# disable this behaviour unless you know what you are doing!
hook-inventorypages: true

##### Minepacks ##### -> https://www.spigotmc.org/resources/minepacks-backpack-plugin-mc-1-7-1-15.19286/
# When Minepacks version 2.3.8+ is installed, ChestSort can detect your
# backpacks and sort them like a regular chest.
hook-minepacks: true

##### PlayerVaults and similar plugins #####
# When PlayerVaults or similar plugins are installed, ChestSort can sort your
# player vaults just like regular chests.
hook-playervaults: true

##### EnderContainers ##### -> https://www.spigotmc.org/resources/endercontainers.4750/
# When EnderContainers version 2.2.1+ is installed, ChestSort can detect your
# enderchests and sort them like regular chests.
hook-endercontainers: true

##### CrateReloaded #####
# Prevents the player from using hotkeys on a crate
hook-cratereloaded: true

##### GoldenCrates #####
# Prevents the player from using hotkeys on a crate
hook-goldencrates: true

##### HeadDatabase #####
# Prevents the player from using hotkeys on the HeadDatabase GUI
hook-headdatabase: true

##### Slimefun #####
# Some versions of Slimefun fail to prevent putting the backpack into itself
# when you do so immediately after ChestSort moved a backpack. You can
# prevent ChestSort from moving Slimefun backpacks until they fixed this.
dont-move-slimefun-backpacks: false

##### AdvancedChests #####
# When AdvancedChests is installed, ChestSort will not sort
# the buttons from the bottom row. You should not
# disable this behaviour unless you know what you are doing!
hook-advancedchests: true

##### Other backpack plugins #####
# ChestSort is able to detect backpacks from most backpack
# plugins like ShulkerPacks or Better Shulker Boxes.
# This detection is always enabled, you cannot turn it off.

##### Other GUI plugins #####
# ChestSort tries to detect if an inventory belongs to a
# 3rd party plugin's GUI and then prevents it from being sorted.
# If you encounter any problems, like a sortable GUI inventory,
# please open a new issue at Github:
# https://github.com/JEFF-Media-GbR/Spigot-ChestSort/issues
hook-generic: true

##### Plugins not using an InventoryHolder #####
# When you have a plugin that uses "null" as InventoryHolder for their
# GUIs, you can prevent those from being sorted. Please note that this
# will also disable sorting for certain other inventories, so only use
# it if it's the only possibility.
prevent-sorting-null-inventories: false

##### Protection Plugins #####
# ChestSort checks whether a player is allowed to interact with a block
# before attempting to sort a container when using the "outside"/"left-click-block"
# hotkey. This can result in messages from WorldGuard, CoreProtect, etc. being
# send to the player. To avoid this, set the following setting to true.
# This can however lead to some warnings from other plugins that do not
# properly check a Players' class before casting it to "CraftPlayer".
# Although this should NOT cause ANY problems, it's disabled by default.
mute-protection-plugins: false

##### Generic Detection by InventoryHolder #####
# ChestSort can detect inventories from other plugins by their InventoryHolder.
# If you encounter duplication issues with other plugins, or want to disabe sorting
# for certain inventories for any other reason, you can do that here.
# To find out the InventoryHolder name of an inventory, do the following:
# 1. Run /chestsort debug
# 2. Open the inventory and use a hotkey to sort
# 3. Check the console for the InventoryHolder name, it should say something
#    like "Holder class: class com.someplugin.InventoryHolder"
# 4. Note the name of the InventoryHolder class, e.g. "com.someplugin.InventoryHolder"
# 5. Add \Q at the beginning, and \E at the end of the name, e.g. \Qcom.someplugin.InventoryHolder\E
# 6. Add that to the list below. You can also use advanced regexes, e.g. ".*[Bb]ack[Pp]ack.*" would blacklist all holders
#    that contain the word "Backpack"
blocked-inventory-holders-regex:
- ".*[Bb]ack[Pp]ack.*"

##########################
##### Sorting Method #####
##########################

# Advanced: how to sort things! See below for examples.
# Only change this if you know what you are doing.
#
# Available variables:
# {category}          order stuff by category as defined in plugins/ChestSort/categories/<category>.txt
# {keepCategoryOrder} orders stuff in the same category according to their line numbers in the category file
# {itemsFirst}        put items before blocks
# {blocksFirst}       put blocks before items
# {tier}              orders by material type from best to worst (netherite, diamond, gold, iron, stone, wood, then all remaining items)
# {name}              returns the name (e.g. DIRT, GRASS_BLOCK, BIRCH_LOG, DIAMOND_SWORD, ...)
# {color}             returns the color, e.g. light_blue for wool. Empty if block/item is not dyeable
# {customName}        returns the display name if set (e.g. with an anvil)
# {lore}              returns the lore if set
#
# Warning: You must not use spaces and fields have to be separated by commas.
#
# Examples:
#   sort by name and color:
#     '{name},{color}'
#
#   sort by name and color, but put items before blocks:
#     '{itemsFirst},{name},{color}'
#
#   sort by name and color, but put blocks before items:
#     '{blocksFirst},{name},{color}'
#
#   sort by category, then put items before blocks and sort by name and color
#      '{category},{itemsFirst},{name},{color}'
#
#   sort by category, but keep exactly the same order as defined in each category file, then sort any undefined items by name and color
#      '{category},{keepCategoryOrder},{name},{color}
#
sorting-method: '{category},{itemsFirst},{name},{color},{customName}'

#########################
##### Localization ######
#########################

# Available color codes:
# &0 Black        &6 Gold       &c Red
# &1 Dark Blue    &7 Gray       &d Light Purple
# &2 Dark Green   &8 Dark Gray  &e Yellow
# &3 Dark Aqua    &9 Blue       &f White
# &4 Dark Red     &a Green
# &5 Dark Purple  &b Aqua

# Available formatting codes:
# &k Obfuscated   &m Strikethrough
# &l Bold         &o Italic
# &n Underline    &r Reset

# IMPORTANT NOTE:
# Some messages contain placeholders (%s). You must not remove those, or you will get exceptions in the console

##### You can edit these messages yourself or uncomment the existing translations (see below)
message-when-using-chest: "&7Hint: Type &6/chestsort&7 to enable automatic chest sorting."
message-when-using-chest2: "&7Hint: Type &6/chestsort&7 to disable automatic chest sorting."
message-sorting-disabled: "&7Automatic chest sorting has been &cdisabled&7."
message-sorting-enabled: "&7Automatic chest sorting has been &aenabled&7."
message-inv-sorting-disabled: "&7Automatic inventory sorting has been &cdisabled&7."
message-inv-sorting-enabled: "&7Automatic inventory sorting has been &aenabled&7."
message-player-inventory-sorted: "&7Your inventory has been sorted."
message-error-players-only: "&cError: This command can only be run by players."
message-error-invalid-options: "&cError: Unknown option %s. Valid options are %s."
message-container-sorted: "&aContainer sorted!"
message-gui-enabled: "&aEnabled"
message-gui-disabled: "&cDisabled"
message-gui-middle-click: "Middle-Click"
message-gui-shift-click: "Shift + Click"
message-gui-double-click: "Double-Click"
message-gui-shift-right-click: "Shift + Right-Click"
message-gui-left-click: "Fill Chest (Left-Click/Double-Left-Click)"
message-gui-right-click: "Empty Chest (Right-Click/Double-Right-Click)"
message-gui-left-click-outside: "Left-Click from outside"

##### English
#message-when-using-chest: "&7Hint: Type &6/chestsort&7 to enable automatic chest sorting."
#message-when-using-chest2: "&7Hint: Type &6/chestsort&7 to disable automatic chest sorting."
#message-sorting-disabled: "&7Automatic chest sorting has been &cdisabled&7."
#message-sorting-enabled: "&7Automatic chest sorting has been &aenabled&7."
#message-inv-sorting-disabled: "&7Automatic inventory sorting has been &cdisabled&7."
#message-inv-sorting-enabled: "&7Automatic inventory sorting has been &aenabled&7."
#message-player-inventory-sorted: "&7Your inventory has been sorted."
#message-error-players-only: "&cError: This command can only be run by players."
#message-error-invalid-options: "&cError: Unknown option %s. Valid options are %s."
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&aEnabled"
#message-gui-disabled: "&cDisabled"
#message-gui-middle-click: "Middle-Click"
#message-gui-shift-click: "Shift + Click"
#message-gui-double-click: "Double-Click"
#message-gui-shift-right-click: "Shift + Right-Click"
#message-gui-left-click: "Fill Chest (Left-Click/Double-Left-Click)"
#message-gui-right-click: "Empty Chest (Right-Click/Double-Right-Click)"
#message-gui-left-click-outside: "Left-Click from outside"

##### Bulgarian
#message-when-using-chest: "&7Подсказка: Напишете &6/chestsort&7, за да активирате автоматичното сортиране на сандъци."
#message-when-using-chest2: "&7Подсказка: Напишете &6/chestsort&7, за да деактивирате автоматичното сортиране на сандъци."
#message-sorting-disabled: "&7Автоматичното сортиране на сандъци беше &cдеактивирано&7."
#message-sorting-enabled: "&7Автоматичното сортиране на сандъци беше &aактивирано&7."
#message-inv-sorting-disabled: "&7Автоматичното сортиране на инвентар беше &cдеактивирано&7."
#message-inv-sorting-enabled: "&7Автоматичното сортиране на инвентар беше &aактивирано&7."
#message-player-inventory-sorted: "&7Вашият инвентар беше сортиран."
#message-error-players-only: "&cГрешка: Тази команда може да бъде използвана само от играчи."
#message-error-invalid-options: "&cГрешка: Непозната опция %s. Валидните опции са %s."
#message-container-sorted: "&aКонтейнерът беше сортиран!"
#message-gui-enabled: "&aАктивирано"
#message-gui-disabled: "&cДеактивирано"
#message-gui-middle-click: "Среден-Клик"
#message-gui-shift-click: "Шифт + Клик"
#message-gui-double-click: "Двоен-Клик"
#message-gui-shift-right-click: "Шифт + Десен-Клик"
#message-gui-left-click: "Запълни Сандък (Ляв-Клик/Двоен-Ляв-Клик)"
#message-gui-right-click: "Изпразни Сандък (Дясен-Клик/Двоен-Дясен-Клик)"
#message-gui-left-click-outside: "Ляв-Клик извън"

##### Chinese (Simplified) 简体中文 - Thanks to qsefthuopq, Aira-Sakuranomiya BackWheel and flandretw for translating!
#message-when-using-chest: "&7提示: 输入 &6/chestsort&7 来启用自动整理箱子。"
#message-when-using-chest2: "&7提示: 输入 &6/chestsort&7 来关闭自动整理箱子。"
#message-sorting-disabled: "&7自动整理箱子已 &c关闭&7。"
#message-sorting-enabled: "&7自动整理箱子已 &a启用&7。"
#message-inv-sorting-disabled: "&7自动整理背包已 &c关闭&7。"
#message-inv-sorting-enabled: "&7自动整理背包已 &a开启&7。"
#message-player-inventory-sorted: "&7已成功整理你的背包。"
#message-error-players-only: "&c错误: 指令只能由玩家运行。"
#message-error-invalid-options: "&c错误: 未知的选项 %s，有效的选项为 %s。"
#message-container-sorted: "&a已成功整理箱子！"
#message-gui-enabled: "&a开启"
#message-gui-disabled: "&c关闭"
#message-gui-middle-click: "中键"
#message-gui-shift-click: "Shift + 左键"
#message-gui-double-click: "双击左键"
#message-gui-shift-right-click: "Shift + 右键"
#message-gui-left-click: "填充箱子 (左键/双击左键)"
#message-gui-right-click: "清空箱子 (右键/双击右键)"
#message-gui-left-click-outside: "对着箱子点击左键"

##### Chinese (Traditional) 繁體中文 - Thanks to flandretw for translating!
#message-when-using-chest: "&7提示：輸入 &6/chestsort&7 來啟用自動整理儲物箱。"
#message-when-using-chest2: "&7提示：輸入 &6/chestsort&7 來停用自動整理儲物箱。"
#message-sorting-disabled: "&c已停用 &7自動整理儲物箱。"
#message-sorting-enabled: "&a已啟用 &7自動整理儲物箱。"
#message-inv-sorting-disabled: "&c已停用 &7自動整理物品欄。"
#message-inv-sorting-enabled: "&a已啟用 &7自動整理物品欄。"
#message-player-inventory-sorted: "&7已成功整理你的物品欄。"
#message-error-players-only: "&c錯誤：此指令只能由玩家執行。"
#message-error-invalid-options: "&c錯誤：未知的選項 %s，有效的選項為 %s。"
#message-container-sorted: "&a已成功整理儲物箱！"
#message-gui-enabled: "&a啟用"
#message-gui-disabled: "&c停用"
#message-gui-middle-click: "點擊中鍵"
#message-gui-shift-click: "Shift + 點擊左鍵"
#message-gui-double-click: "雙重點擊左鍵"
#message-gui-shift-right-click: "Shift + 點擊右鍵"
#message-gui-left-click: "填滿儲物箱（點擊左鍵/雙重點擊左鍵）"
#message-gui-right-click: "清空儲物箱（點擊右鍵/雙重點擊右鍵）"
#message-gui-left-click-outside: "對著儲物箱點擊左鍵"

##### Dutch
#message-when-using-chest: "&7Hint: Type &6/chestsort&7 om het automatisch sorteren van kisten in te schakelen."
#message-when-using-chest2: "&7Hint: Type &6/chestsort&7 om het automatisch sorteren van kisten uit te schakelen."
#message-sorting-disabled: "&7Automatisch sorteren van kisten is &cuitgeschakeld&7."
#message-sorting-enabled: "&7Automatisch sorteren van kisten is &aingeschakeld&7."
#message-inv-sorting-disabled: "&7Automatisch sorteren van inventaris is &cuitgeschakeld&7."
#message-inv-sorting-enabled: "&7Automatisch sorteren van inventaris is &aingeschakeld&7."
#message-player-inventory-sorted: "&7Je inventaris is gesorteerd."
#message-error-players-only: "&cFout: Dit commando kan alleen door spelers worden gebruikt."
#message-error-invalid-options: "&cFout: Onbekende optie %s. Geldige opties zijn %s."
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&aUitgeschakeld"
#message-gui-disabled: "&cIngeschakeld"
#message-gui-middle-click: "Middel-Klik"
#message-gui-shift-click: "Shift + Klik"
#message-gui-double-click: "Dubbel-Klik"
#message-gui-shift-right-click: "Shift + Rechter-Klik"
#message-gui-left-click: "Vul Kist (Linker-Klik/Dubbele-Linker-Klik)"
#message-gui-right-click: "Leeg Kist (Rechter-Klik/Dubbele-Rechter-Klik)"
#message-gui-left-click-outside: "Linker-Klik vanaf buiten"

##### French / Français - Thanks to automatizer, demon57730, FichdlMaa and Stalk3r77 for translating!
# Note: The following messages have been changed in version 8.11 and need a new translation
#message-when-using-chest: "&7Astuce : Tape &6/chestsort&7 pour activer le classement automatique."
#message-when-using-chest2: "&7Astuce : Tape &6/chestsort&7 pour désactiver le classement automatique."
#message-sorting-disabled: "&7Le classement automatique a été &cdésactivé&7."
#message-sorting-enabled: "&7Le classement automatique a été &aactivé&7."
#message-inv-sorting-disabled: "&7Le classement automatique d'inventaire a été &cdésactivé&7."
#message-inv-sorting-enabled: "&7Le classement automatique d'inventaire a été &aactivé&7."
#message-player-inventory-sorted: "&7Ton inventaire a été trié."
#message-error-players-only: "&cErreur : Cette commande ne peut être utilisée que par des joueurs."
#message-error-invalid-options: "&cErreur : Option inconnue %s. Les options valides sont %s."
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&aActivé"
#message-gui-disabled: "&cDésactivé"
#message-gui-middle-click: "Clic molette"
#message-gui-shift-click: "Maj. + Clic"
#message-gui-double-click: "Double-Clic"
#message-gui-shift-right-click: "Shift + Clic droit"
#message-gui-left-click: "Remplir le coffre (Clic-gauche)"
#message-gui-right-click: "Vider le coffre (Clic-droit)"
#message-gui-left-click-outside: "Left-Click from outside"

##### German
#message-when-using-chest: "&7Hinweis: Benutze &6/chestsort&7 um die automatische Kistensortierung zu aktivieren."
#message-when-using-chest2: "&7Hinweis: Benutze &6/chestsort&7 um die automatische Kistensortierung zu deaktivieren."
#message-sorting-disabled: "&7Automatische Kistensortierung &cdeaktiviert&7."
#message-sorting-enabled: "&7Automatische Kistensortierung &aaktiviert&7."
#message-inv-sorting-disabled: "&7Automatische Inventarsortierung &cdeaktiviert&7."
#message-inv-sorting-enabled: "&7Automatische Inventarsortierung &aaktiviert&7."
#message-player-inventory-sorted: "&7Dein Inventar wurde sortiert."
#message-error-players-only: "&cFehler: Dieser Befehl ist nur für Spieler verfügbar."
#message-error-invalid-options: "&cFehler: Unbekannte Option %s. Gültige Optionen sind %s."
#message-container-sorted: "&aBehälter sortiert!"
#message-gui-enabled: "&aAktiviert"
#message-gui-disabled: "&cDeaktiviert"
#message-gui-middle-click: "Mittel-Klick"
#message-gui-shift-click: "Shift + Klick"
#message-gui-double-click: "Doppelklick"
#message-gui-shift-right-click: "Shift + Rechtsklick"
#message-gui-left-click: "Kiste füllen (Linksklick/doppelter Linksklick)"
#message-gui-right-click: "Kiste leeren (Rechtsklick/doppelter Rechtsklick)"
#message-gui-left-click-outside: "Linksklick von außen"

##### Hebrew / עברית
#message-when-using-chest: "&7רמז: &fהקלידו &e/chestsort&f בשביל להפעיל מיון תיבות."
#message-when-using-chest2: "&7רמז: &fהקלידו &e/chestsort&7 בשביל לכבות מיון תיבות."
#message-sorting-disabled: "&fמיון תיבות &cלא פועל&f."
#message-sorting-enabled: "&fמיון תיבות &aפועל&f."
#message-inv-sorting-disabled: "&fמיון אינבנטורי &cלא פועל&f."
#message-inv-sorting-enabled: "&fמיון אינבנטורי &aפועל&f."
#message-player-inventory-sorted: "&fהאינבנטורי שלך סודר."
#message-error-players-only: "&c&lשגיאה: הפקודה הזאת היא לשימוש השחקנים בלבד."
#message-error-invalid-options: "&c&lשגיאה: Unknown option %s. Valid options are %s."
#message-container-sorted: "&a&lסודר מחדש!"
#message-gui-enabled: "&aפועל&f"
#message-gui-disabled: "&cלא פועל"
#message-gui-middle-click: "לחיצה בעמצא(עכבר)"
#message-gui-shift-click: "Shift + קליד"
#message-gui-double-click: "לחיצה כפולה"
#message-gui-shift-right-click: "Shift + לחיצה ימנית"
#message-gui-left-click: "למלא תיבה (לחיצה שמאלית/לחיצה שמאלית כפולה)"
#message-gui-right-click: "לרוקן תיבה (לחיצה ימנית/לחיצה ימנית כפולה)"
#message-gui-left-click-outside: "לחיצה שמאלית מבחוץ"

##### Hungarian
#message-when-using-chest: "&7Automatikus láda rendezés bekapcsolás: &6/chestsort"
#message-when-using-chest2: "&7Automatikus láda rendezés bekapcsolás: &6/chestsort"
#message-sorting-disabled: "&7Automatikus láda rendezés kikapcsolva."
#message-sorting-enabled: "&7Automatikus láda rendezés bekapcsolva."
#message-inv-sorting-disabled: "&7Automatikus leltár rendezés &ckikapcsolva&7."
#message-inv-sorting-enabled: "&7Automatikus leltár rendezés &cbekapcsolva&7."
#message-error-players-only: "&cHiba: Ezt a parancsot csak játékos használhatja."
#message-player-inventory-sorted: "&7A leltárad rendezve lett."
#message-error-invalid-options: "&cHiba: Ismeretlen opció %s. Helyes opció %s."
#message-container-sorted: "&aLáda rendezve!"
#message-gui-enabled: "&aEngedélyezve"
#message-gui-disabled: "&cKikapcsolva"
#message-gui-middle-click: "Középső egérgomb"
#message-gui-shift-click: "Shift + Klikk"
#message-gui-double-click: "Dupla Kattintás"
#message-gui-shift-right-click: "Shift + Jobb klikk"
#message-gui-left-click: "Láda feltöltés (Bal klikk)"
#message-gui-right-click: "Láda ürítés (Jobb klikk)"
#message-gui-left-click-outside: "Bal klikk a ládán kívül"

##### Italian / Italiano
#message-when-using-chest: "&7Nota: inserire &6/chestsort&7 per abilitare l'ordinamento automatico dei bauli."
#message-when-using-chest2: "&7Nota: inserire &6/chestsort&7 per disabilitare l'ordinamento automatico dei bauli."
#message-sorting-disabled: "&7L'ordinamento automatico dei bauli è stato &cdisattivato&7."
#message-sorting-enabled: "&7L'ordinamento automatico dei bauli è stato &aattivato&7."
#message-inv-sorting-disabled: "&7L'ordinamento automatico dell'inventario è stato &cdisattivato&7."
#message-inv-sorting-enabled: "&7L'ordinamento automatico dell'inventario è stato &aattivato&7."
#message-player-inventory-sorted: "&7Il tuo inventario è stato ordinato."
#message-error-players-only: "&cErrore: questo comando è disponibile solo per i giocatori."
#message-error-invalid-options: "&cErrore: Parametro sconosciuto %s. I parametri validi sono %s."
#message-container-sorted: "&aContenitore ordinato!"
#message-gui-enabled: "&aAttivato"
#message-gui-disabled: "&cDisattivato"
#message-gui-middle-click: "Click Centrale"
#message-gui-shift-click: "Maiusc + Click"
#message-gui-double-click: "Doppio Click"
#message-gui-shift-right-click: "Maiusc + Click Destro"
#message-gui-left-click: "Cassa Piena (Click Sinistro/Doppio Click Sinistro)"
#message-gui-right-click: "Cassa Vuota (Click Destro/Doppio Click Destro)"
#message-gui-left-click-outside: "Click Sinistro sull'esterno"

##### Japanese - Thanks to Sefyy for translating!
# Note: The following messages have been changed in version 8.11 and need a new translation:
# - message-gui-left-click
# - message-gui-right-click
#message-when-using-chest: "&7ヒント: &6/chestsort&7 と入力して自動チェスト整理を有効にできます。"
#message-when-using-chest2: "&7ヒント: &6/chestsort&7 と入力すると自動チェスト整理を無効にできます。"
#message-sorting-disabled: "&7自動チェスト整理は現在&c無効&7です。"
#message-sorting-enabled: "&7自動チェスト整理は現在&a有効&7です。"
#message-inv-sorting-disabled: "&7自動インベントリ整理は現在&c無効&7です。"
#message-inv-sorting-enabled: "&7自動インベントリ整理は現在&a有効&7です。"
#message-error-players-only: "&cエラー: このコマンドはプレイヤーのみ実行できます。"
#message-player-inventory-sorted: "&7あなたのインベントリは整理されました。"
#message-error-invalid-options: "&cエラー: 不明なオプションです%s 有効なオプションは%s"
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&a有効"
#message-gui-disabled: "&c無効"
#message-gui-middle-click: "ミドルクリック"
#message-gui-shift-click: "シフト+左クリック"
#message-gui-double-click: "ダブルクリック"
#message-gui-shift-right-click: "シフト+右クリック"
#message-gui-left-click: "チェストを埋める(左クリック)"
#message-gui-right-click: "チェストを空ける(右クリック)"
#message-gui-left-click-outside: "Left-Click from outside"

##### Korean (한국어) - Thanks to kf12 for translating!
#message-when-using-chest: "&7정보 : &6/chestsort&7 명령어로 자동 창고 정리를 활성화 할 수 있습니다."
#message-when-using-chest2: "&7정보 : &6/chestsort&7 명령어로 자동 창고 정리를 비활성화 할 수 있습니다."
#message-sorting-disabled: "&7자동 창고 정리가 &c비활성화&7 되었습니다."
#message-sorting-enabled: "&7자동 창고 정리가 &a활성화&7 되었습니다."
#message-inv-sorting-disabled: "&7자동 인벤토리 정리가 &c비활성화 &7되었습니다."
#message-inv-sorting-enabled: "&7자동 인벤토리 정리가 &a활성화 &7되었습니다."
#message-player-inventory-sorted: "&7인벤토리가 정리 되었습니다."
#message-error-players-only: "&c에러 : 이 명령은 플레이어만 실행할 수 있습니다."
#message-error-invalid-options: "&c에러 : 알 수 없는 옵션 %s. 올바른 옵션은 %s 입니다."
#message-gui-enabled: "&a활성화"
#message-gui-disabled: "&c비활성화"
#message-gui-middle-click: "휠 클릭"
#message-gui-shift-click: "쉬프트 + 클릭"
#message-gui-double-click: "더블 클릭"
#message-gui-shift-right-click: "쉬프트 + 우클릭"
#message-gui-left-click: "창고 내용물 채우기 (좌클릭 / 좌측 버튼 더블 클릭)"
#message-gui-right-click: "창고 내용물 비우기 (우클릭 / 우측 버튼 더블 클릭)"
#message-gui-left-click-outside: "GUI 외부 파트를 좌클릭 하기"

##### Polish - Thanks to PLKaratusPL for translating!
#message-when-using-chest: "&7Wskazówka: Wpisz &6/chestsort&7 by włączyć automatyczne sortowanie skrzyń."
#message-when-using-chest2: "&7Wskazówka: Wpisz &6/chestsort&7 by wyłączyć automatyczne sortowanie skrzyń."
#message-sorting-disabled: "&7Automatyczne sortowanie skrzyń zostało &cwyłączone&7."
#message-sorting-enabled: "&7Automatyczne sortowanie skrzyń zostało &awłączone&7."
#message-inv-sorting-disabled: "&7Automatyczne sortowanie ekwipunku zostało &cwyłączone&7."
#message-inv-sorting-enabled: "&7Automatyczne sortowanie ekwipunku zostało &awłączone&7."
#message-player-inventory-sorted: "&7Twój ekwipunek został posortowany."
#message-error-players-only: "&cBłąd: To polecenie może być używane tylko przez graczy."
#message-error-invalid-options: "&cBłąd: Nieznana opcja %s. Prawidłowe opcje to %s."
#message-container-sorted: "&aKontener posortowany!"
#message-gui-enabled: "&aWłączone"
#message-gui-disabled: "&cWyłączone"
#message-gui-middle-click: "Środkowy Przycisk Myszy"
#message-gui-shift-click: "Shift + Kliknięcie"
#message-gui-double-click: "Podwójne Kliknięcie"
#message-gui-shift-right-click: "Shift + PPM"
#message-gui-left-click: "Wypełnienie Skrzyni (LPM/Podwójny LPM)"
#message-gui-right-click: "Opróżnienie Skrzyni (PPM/Podwójny PPM)"
#message-gui-left-click-outside: "Kliknij LPM z zewnątrz"

##### Portuguese - Thanks to wildastral for translating!
#message-when-using-chest: "&7Dica: Digite &6/chestsort&7 para habilitar a organização automática."
#message-when-using-chest2: "&7Dica: Digite &6/chestsort&7 para desabilitar a organização automática."
#message-sorting-disabled: "&7AOrganização automática de baús foi &cdesabilitada&7."
#message-sorting-enabled: "&7AOrganização automática de baús foi &ahabilitada&7."
#message-inv-sorting-disabled: "&7Organização automática foi &cdesabilitada&7."
#message-inv-sorting-enabled: "&7Organização automática foi &adesabilitada&7."
#message-player-inventory-sorted: "&7Seu inventário foi organizado."
#message-error-players-only: "&cErro: Esse comando não pode ser executado por jogadores."
#message-error-invalid-options: "&cErro: Opção desconhecida %s. Opções validas são %s."
#message-container-sorted: "&aRecipiente organizado!"
#message-gui-enabled: "&aHabilitado"
#message-gui-disabled: "&cDesabilitado"
#message-gui-middle-click: "Middle-Click"
#message-gui-shift-click: "Shift + Click"
#message-gui-double-click: "Double-Click"
#message-gui-shift-right-click: "Shift + Right-Click"
#message-gui-left-click: "Preencher baú (Left-Click/Double-Left-Click)"
#message-gui-right-click: "Esvaziar baú (Right-Click/Double-Right-Click)"
#message-gui-left-click-outside: "Left-Click por fora"

##### Russian
#message-when-using-chest: "&7Подсказка: введите &6/chestsort&7, чтобы включить автоматическую сортировку вещей в сундуках."
#message-when-using-chest2: "&7Подсказка: введите &6/chestsort&7, чтобы отключить автоматическую сортировку вещей в сундуках."
#message-sorting-disabled: "&7Автоматическая сортировка вещей в сундуках &cотключена&7."
#message-sorting-enabled: "&7Автоматическая сортировка вещей в сундуках &aвключена&7."
#message-inv-sorting-disabled: "&7Автоматическая сортировка вещей в инвентаре &cотключена&7."
#message-inv-sorting-enabled: "&7Автоматическая сортировка вещей в инвентаре &aвключена&7."
#message-player-inventory-sorted: "&7Ваш инвентарь был отсортирован."
#message-error-players-only: "&cОшибка: эта команда может быть использована только игроками."
#message-error-invalid-options: "&cОшибка: Неизвестный параметр %s. Допустимые параметры: %s."
#message-container-sorted: "&aХранилище отсортировано!"
#message-gui-enabled: "&aВключено"
#message-gui-disabled: "&cОтключено"
#message-gui-middle-click: "Колесо мыши"
#message-gui-shift-click: "Shift + Клик"
#message-gui-double-click: "Двойной клик"
#message-gui-shift-right-click: "Shift + Правый клик"
#message-gui-left-click: "Выложить вещи в сундук (ЛКМ/Двойной ЛКМ)"
#message-gui-right-click: "Забрать вещи из сундука (ПКМ/Двойной ПКМ)"
#message-gui-left-click-outside: "Левый клик за пределами инвентаря"

##### Spanish
#message-when-using-chest: "&7Usa &6/chestsort &7para activar la ordenación automática de contenedores."
#message-when-using-chest2: "&7Usa &6/chestsort &7para desactivar la ordenación automática de contenedores."
#message-sorting-disabled: "&7Se ha &cdesactivado &7la ordenación automática de contenedores."
#message-sorting-enabled: "&7Se ha &aactivado &7la ordenación automática de contenedores."
#message-inv-sorting-disabled: "&7Se ha &cdesactivado &7la ordenación automática del inventario."
#message-inv-sorting-enabled: "&7Se ha &aactivado &7la ordenación automática del inventario."
#message-player-inventory-sorted: "&7Tu inventario ha sido ordenado."
#message-error-players-only: "&cEste comando solo puede ser ejecutado por jugadores."
#message-error-invalid-options: "&c%s no es una opción válida. Las opciones válidas son: %s."
#message-hotbar-container-sorted: "&a¡Contenedor ordenado!"
#message-gui-enabled: "&aActivado"
#message-gui-disabled: "&cDesactivado"
#message-gui-middle-click: "&7Botón Central"
#message-gui-shift-click: "&7Mayús + Botón Izquierdo"
#message-gui-double-click: "&7Doble Pulsación con Botón Izquierdo"
#message-gui-shift-right-click: "&7Mayús + Botón Derecho"
#message-gui-left-click: "&7Llenar Cofre (Doble Pulsación / Botón Izquierdo)"
#message-gui-right-click: "&7Vaciar Cofre (Doble Pulsación / Botón Derecho)"
#message-gui-left-click-outside: "&7Botón Izquierdo en el exterior."

##### Swedish
#message-when-using-chest: "&7Tips: Skriv &6/chestsort&7 för att starta automatisk kist sortering."
#message-when-using-chest2: "&7Tips: Skriv &6/chestsort&7 för att stänga av automatisk kist sortering."
#message-sorting-disabled: "&7Automatisk kist sortering har &cstängts av&7."
#message-sorting-enabled: "&7Automatisk kist sortering har &astartatsd&7."
#message-inv-sorting-disabled: "&7Automatisk inventarium sortering har &cstängts avd&7."
#message-inv-sorting-enabled: "&7Automatisk inventarium sortering har &astartats&7."
#message-player-inventory-sorted: "&7Ditt inventarium har blivit sorterad."
#message-error-players-only: "&cFel: Detta kommando kan endast användas av spelare."
#message-error-invalid-options: "&cFel: Okänt alternativ %s. Giltiga alternativ är %s."
#message-container-sorted: "&aBehållare sorterad!"
#message-gui-enabled: "&aStartats"
#message-gui-disabled: "&cStängts av"
#message-gui-middle-click: "Mitten-Klick"
#message-gui-shift-click: "Shift + Klick"
#message-gui-double-click: "Dubbel-Klick"
#message-gui-shift-right-click: "Shift + Höger-Klick"
#message-gui-left-click: "Fyll Kistan (Vänster-Klick/Dubbel-Vänster-Klick)"
#message-gui-right-click: "Töm Kistan (höger-Klick/Dubbel-Höger-Klick)"
#message-gui-left-click-outside: "Vänster-Klick från utsidan"

##### Turkish
#message-when-using-chest: "&7İpucu: &6/chestsort&7 yazarak otomatik sandık düzenlemesini aktif edebilirsiniz"
#message-when-using-chest2: "&7İpucu: &6/chestsort&7 yazarak otomatik sandık düzenlemesini deaktif edebilirsiniz."
#message-sorting-disabled: "&7Otomatik sandık düzenlemesi &cdeaktifleştirildi&7."
#message-sorting-enabled: "&7Otomatik sandık düzenlemesi &aaktifleştirildi&7."
#message-inv-sorting-disabled: "&7Otomatik envanter düzenlemesi &cdeaktifleştirildi&7."
#message-inv-sorting-enabled: "&7Otomatik envanter düzenlemesi &aaktifleştirildi&7."
#message-player-inventory-sorted: "&7Envanteriniz Düzenlendi."
#message-error-players-only: "&cHata: Bu komut yalnızca oyuncular tarafından kullanılabilir."
#message-error-invalid-options: "&cHata: Bilinmeyen Ayar %s. Geçerli seçenekler %s."
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&aAktifleştirildi"
#message-gui-disabled: "&cDeaktifleştirildi"
#message-gui-middle-click: "Orta tık"
#message-gui-shift-click: "Shift + Sol tık"
#message-gui-double-click: "Çift sol tık"
#message-gui-shift-right-click: "Shift + Sağ tık"
#message-gui-left-click: "Sandığı doldur (Sol tık/Çift sol tık)"
#message-gui-right-click: "Sandığı boşalt (Sağ tık/Çift sağ tık)"
#message-gui-left-click-outside: "Dışarıdan sol tıkla"

##### Vietnamese
#message-when-using-chest: "&7Gợi ý: Nhập &6/chestsort&7 để bật tự động sắp xếp rương."
#message-when-using-chest2: "&7Gợi ý: Nhập &6/chestsort&7 để tắt tự động sắp xếp rương."
#message-sorting-disabled: "&7Sắp xếp rương tự động đã được &ctắt&7."
#message-sorting-enabled: "&7Sắp xếp rương tự động đã được &abật&7."
#message-inv-sorting-disabled: "&7Sắp xếp túi đồ tự động đã được &ctắt&7."
#message-inv-sorting-enabled: "&7Sắp xếp túi đồ tự động đã được &abật&7."
#message-player-inventory-sorted: "&7Túi đồ của bạn đã được sắp xếp."
#message-error-players-only: "&cLỗi: Lệnh này chỉ có thể thực hiện bởi người chơi."
#message-error-invalid-options: "&cLỗi: Lựa chọn không hợp lệ %s. Lựa chọn đúng phải là %s."
#message-container-sorted: "&aContainer sorted!"
#message-gui-enabled: "&aĐã bật"
#message-gui-disabled: "&cĐã tắt"
#message-gui-middle-click: "Chuột giữa"
#message-gui-shift-click: "Shift + Chuột trái"
#message-gui-double-click: "Nhấn đúp"
#message-gui-shift-right-click: "Shift + Chuột phải"
#message-gui-left-click: "Lấp đầy rương (Chuột trái/nhấn đúp chuột trái)"
#message-gui-right-click: "Empty Chest (Chuột phải/nhấn đúp chuột phải)"
#message-gui-left-click-outside: "Nhấn chuột trái bên ngoài"

##### Romanian
#message-when-using-chest: "&7Sugestie: Foloseste &6/chestsort&7 pentru a activa sortarea automata a cufarului."
#message-when-using-chest2: "&7Sugestie: Foloseste &6/chestsort&7 pentru a dezactiva sortarea automata a cufarului."
#message-sorting-disabled: "&7Sortarea automata a fost &cdezactivata&7."
#message-sorting-enabled: "&7Sortarea automata a fost &aactivata&7."
#message-inv-sorting-disabled: "&7Sortarea automata a inventarului a fost &cdezactivata&7."
#message-inv-sorting-enabled: "&7Sortarea automata a inventarului a fost &aactivata&7."
#message-player-inventory-sorted: "&7Inventarul tau a fost sortat."
#message-error-players-only: "&cEroare: Comanda aceasta poate fii folosita doar de catre jucatori."
#message-error-invalid-options: "&cEroare: Optiune necunoscuta %s. Optiunile valide sunt %s."
#message-container-sorted: "&aRecipient sortat!"
#message-gui-enabled: "&aActivat"
#message-gui-disabled: "&cDezactivat"
#message-gui-middle-click: "Middle-Click"
#message-gui-shift-click: "Shift + Click"
#message-gui-double-click: "Double-Click"
#message-gui-shift-right-click: "Shift + Right-Click"
#message-gui-left-click: "Umple cufarul (Left-Click/Double-Left-Click)"
#message-gui-right-click: "Goloseste cufarul (Right-Click/Double-Right-Click)"
#message-gui-left-click-outside: "Left-Click din afara"

############################
##### Technical stuff! #####
############################

# If you want to reorganize your category files, you can temporarily enable
# the dump option to get a .csv file that includes EVERY available material
# with its associated category. This way, you can easily find items that
# have not yet been assigned to a category.
dump: false

# Debug mode - you probably do not want this.
debug: false
debug2: false

# Enable log - you probably do not want this.
log: false

# Do not change the following lines!
config-version: 202401200106
plugin-version: 14.0.0
